Subject: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Drew Adams <[email-masked]>
Date: Thu, 31 Aug 2023 21:51:55 +0000

1. I see now that the default value of
`dired-headerline-is-meaningful' is t.
For some reason I thought you had it as
nil.  I thought you were changing the
default behavior so it skipped header
lines.  My bad; sorry.

2. Doc nits:

The doc of `dired-headerline-is-meaningful' 
should say that it affects only commands
`dired-(next|previous)-line', instead of
giving the impression that it affects
navigation in general ("when moving cursor").
There are many ways to move the cursor, and
there are even several other Dired-specific
ways.

The doc of `dired-(next|previous)-line'
should refer to the behavior variants or
to `dired-cursor-goto-meaningful-line'.

3. FWIW, for vanilla Dired, lines `.'
and `..' are generally "meaningless"
in your terms: you generally can't act
on them.  (In Dired+ you can.)  Dunno
whether you want to include optionally
skipping over them with `n'|`p', i.e.,
via `dired-cursor-goto-meaningful-line.